Bug 317700 - Crash after restarting NetworkManager
Summary: Crash after restarting NetworkManager
Status: RESOLVED WAITINGFORINFO
Alias: None
Product: Network Management
Classification: Unclassified
Component: KDED Module (show other bugs)
Version: 0.9
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Lamarque V. Souza
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-01 20:40 UTC by Dima Ryazanov
Modified: 2013-07-05 16:10 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Ryazanov 2013-04-01 20:40:42 UTC
Application: kded4 ($Id$)
KDE Platform Version: 4.10.1
Qt Version: 4.8.3
Operating System: Linux 3.5.0-26-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
- What I was doing when the application crashed:

I was debugging a different NetworkManager problem, so I ran "sudo service network-manager stop" and "sudo service network-manager start" a few times. After the second or third time, I got this crash.

-- Backtrace:
Application: KDE Daemon (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ff8a09c2780 (LWP 3691))]

Thread 6 (Thread 0x7ff8890a7700 (LWP 3749)):
#0  0x00007ff8a2a8ffd0 in g_ptr_array_set_size () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ff8a2ab955f in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff8a2ab9cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff8a2ab9ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ff8a6fe9c46 in QEventDispatcherGlib::processEvents (this=0x7ff87c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007ff8a6fba2ef in QEventLoop::processEvents (this=this@entry=0x7ff8890a6dd0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007ff8a6fba578 in QEventLoop::exec (this=0x7ff8890a6dd0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007ff8a6ebbb40 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007ff8a6f9a9df in QInotifyFileSystemWatcherEngine::run (this=0x1422f00) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007ff8a6ebeb1c in QThreadPrivate::start (arg=0x1422f00) at thread/qthread_unix.cpp:338
#10 0x00007ff8a3392e9a in start_thread (arg=0x7ff8890a7700) at pthread_create.c:308
#11 0x00007ff8a5bc8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7ff86bbec700 (LWP 3795)):
#0  __pthread_getspecific (key=3) at pthread_getspecific.c:62
#1  0x00007ff8a2addb20 in g_thread_self () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff8a2ab9e95 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff8a6fe9c46 in QEventDispatcherGlib::processEvents (this=0x7ff8580008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007ff8a6fba2ef in QEventLoop::processEvents (this=this@entry=0x7ff86bbebdc0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ff8a6fba578 in QEventLoop::exec (this=0x7ff86bbebdc0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007ff8a6ebbb40 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007ff88bc9c745 in KCupsConnection::run() () from /usr/lib/libkcupslib.so
#8  0x00007ff8a6ebeb1c in QThreadPrivate::start (arg=0x13d9f60) at thread/qthread_unix.cpp:338
#9  0x00007ff8a3392e9a in start_thread (arg=0x7ff86bbec700) at pthread_create.c:308
#10 0x00007ff8a5bc8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7ff86b3eb700 (LWP 3796)):
#0  0x00007ff8a5bbd303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff8a2ab9d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff8a2ab9ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff8a6fe9c46 in QEventDispatcherGlib::processEvents (this=0x7ff8600008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007ff8a6fba2ef in QEventLoop::processEvents (this=this@entry=0x7ff86b3eae00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ff8a6fba578 in QEventLoop::exec (this=0x7ff86b3eae00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007ff8a6ebbb40 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007ff8a6ebeb1c in QThreadPrivate::start (arg=0x173fd00) at thread/qthread_unix.cpp:338
#8  0x00007ff8a3392e9a in start_thread (arg=0x7ff86b3eb700) at pthread_create.c:308
#9  0x00007ff8a5bc8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7ff87a993700 (LWP 18989)):
#0  0x00007ff8a5bd6904 in pthread_mutex_unlock (mutex=0x7ff86c002ed0) at forward.c:184
#1  0x00007ff8a2af6e51 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff8a2ab9c5c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff8a2ab9ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ff8a6fe9c46 in QEventDispatcherGlib::processEvents (this=0x7ff86c002cc0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007ff8a6fba2ef in QEventLoop::processEvents (this=this@entry=0x7ff87a992dd0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007ff8a6fba578 in QEventLoop::exec (this=0x7ff87a992dd0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007ff8a6ebbb40 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007ff8a6f9a9df in QInotifyFileSystemWatcherEngine::run (this=0x1236aa0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007ff8a6ebeb1c in QThreadPrivate::start (arg=0x1236aa0) at thread/qthread_unix.cpp:338
#10 0x00007ff8a3392e9a in start_thread (arg=0x7ff87a993700) at pthread_create.c:308
#11 0x00007ff8a5bc8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ff8898a8700 (LWP 15083)):
#0  begin (this=0x7ff884001800) at ../../include/QtCore/../../src/corelib/tools/qlist.h:101
#1  constBegin (this=0x7ff884001800) at ../../include/QtCore/../../src/corelib/tools/qlist.h:269
#2  QTimerInfoList::timerWait (this=0x7ff884001800, tm=...) at kernel/qeventdispatcher_unix.cpp:455
#3  0x00007ff8a6fe92fc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7ff8898a7c44) at kernel/qeventdispatcher_glib.cpp:136
#4  0x00007ff8a6fe93a5 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#5  0x00007ff8a2ab9618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007ff8a2ab9cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007ff8a2ab9ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007ff8a6fe9c46 in QEventDispatcherGlib::processEvents (this=0x7ff884005e00, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#9  0x00007ff8a6fba2ef in QEventLoop::processEvents (this=this@entry=0x7ff8898a7e00, flags=...) at kernel/qeventloop.cpp:149
#10 0x00007ff8a6fba578 in QEventLoop::exec (this=0x7ff8898a7e00, flags=...) at kernel/qeventloop.cpp:204
#11 0x00007ff8a6ebbb40 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#12 0x00007ff8a6ebeb1c in QThreadPrivate::start (arg=0x14c1910) at thread/qthread_unix.cpp:338
#13 0x00007ff8a3392e9a in start_thread (arg=0x7ff8898a8700) at pthread_create.c:308
#14 0x00007ff8a5bc8cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ff8a09c2780 (LWP 3691)):
[KCrash Handler]
#6  0x00007ff8790f8602 in WirelessNetworkInterfaceActivatableProvider::handleAdd(Knm::Connection*) () from /usr/lib/libknmservice.so.4
#7  0x00007ff8790e77cc in ConnectionList::addConnection(Knm::Connection*) () from /usr/lib/libknmservice.so.4
#8  0x00007ff878ea3f97 in NMDBusSettingsConnectionProvider::onRemoteConnectionRemoved() () from /usr/lib/libknm_nm.so
#9  0x00007ff878ea38d4 in NMDBusSettingsConnectionProvider::initialiseAndRegisterRemoteConnection(QString const&) () from /usr/lib/libknm_nm.so
#10 0x00007ff878ea46cf in NMDBusSettingsConnectionProvider::clearConnections() () from /usr/lib/libknm_nm.so
#11 0x00007ff878e75441 in OrgFreedesktopNetworkManagerInterface::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libknm_nm.so
#12 0x00007ff8a6fd0f8f in QMetaObject::activate (sender=0x13b4400, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff61edbfa0) at kernel/qobject.cpp:3547
#13 0x00007ff8a436f17f in QDBusConnectionInterface::serviceOwnerChanged (this=<optimized out>, _t1=..., _t2=..., _t3=...) at .moc/release-shared/moc_qdbusconnectioninterface.cpp:224
#14 0x00007ff8a436f3b1 in QDBusConnectionInterface::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=0x7fff61edc220) at .moc/release-shared/moc_qdbusconnectioninterface.cpp:114
#15 0x00007ff8a6fd0f8f in QMetaObject::activate (sender=0x13b4400, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff61edc220) at kernel/qobject.cpp:3547
#16 0x00007ff8a436f24f in QDBusConnectionInterface::NameOwnerChanged (this=<optimized out>, _t1=..., _t2=..., _t3=...) at .moc/release-shared/moc_qdbusconnectioninterface.cpp:252
#17 0x00007ff8a436f411 in QDBusConnectionInterface::qt_static_metacall (_o=_o@entry=0x13b4400, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=6, _a=_a@entry=0x7fff61edc550) at .moc/release-shared/moc_qdbusconnectioninterface.cpp:118
#18 0x00007ff8a436fbef in QDBusConnectionInterface::qt_metacall (this=0x13b4400, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0x7fff61edc550) at .moc/release-shared/moc_qdbusconnectioninterface.cpp:177
#19 0x00007ff8a4332ed3 in QDBusConnectionPrivate::deliverCall (this=0x13b4830, object=0x13b4400, msg=..., metaTypes=..., slotIdx=11) at qdbusintegrator.cpp:947
#20 0x00007ff8a6fd046e in QObject::event (this=0x13b4400, e=<optimized out>) at kernel/qobject.cpp:1195
#21 0x00007ff8a6362e9c in QApplicationPrivate::notify_helper (this=this@entry=0x11e2bf0, receiver=receiver@entry=0x13b4400, e=e@entry=0x193a180) at kernel/qapplication.cpp:4562
#22 0x00007ff8a636730a in QApplication::notify (this=0x7fff61edd150, receiver=0x13b4400, e=0x193a180) at kernel/qapplication.cpp:4423
#23 0x00007ff8a7d35ad6 in KApplication::notify (this=0x7fff61edd150, receiver=0x13b4400, event=0x193a180) at ../../kdeui/kernel/kapplication.cpp:311
#24 0x00007ff8a6fbb59e in QCoreApplication::notifyInternal (this=0x7fff61edd150, receiver=receiver@entry=0x13b4400, event=event@entry=0x193a180) at kernel/qcoreapplication.cpp:915
#25 0x00007ff8a6fbf421 in sendEvent (event=0x193a180, receiver=0x13b4400) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#26 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x114e2b0) at kernel/qcoreapplication.cpp:1539
#27 0x00007ff8a6fe9a93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#28 postEventSourceDispatch (s=0x11e3d60) at kernel/qeventdispatcher_glib.cpp:279
#29 0x00007ff8a2ab9ab5 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007ff8a2ab9de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007ff8a2ab9ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007ff8a6fe9c26 in QEventDispatcherGlib::processEvents (this=0x11507d0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#33 0x00007ff8a6407c1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#34 0x00007ff8a6fba2ef in QEventLoop::processEvents (this=this@entry=0x7fff61edced0, flags=...) at kernel/qeventloop.cpp:149
#35 0x00007ff8a6fba578 in QEventLoop::exec (this=0x7fff61edced0, flags=...) at kernel/qeventloop.cpp:204
#36 0x00007ff8a6fbf738 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#37 0x00007ff893b083f0 in kdemain (argc=1, argv=0x11c56e0) at ../../kded/kded.cpp:924
#38 0x00000000004084c6 in launch (argc=argc@entry=1, _name=_name@entry=0x40b127 "kded4", args=args@entry=0x0, cwd=cwd@entry=0x0, envc=envc@entry=0, envs=<optimized out>, envs@entry=0x0, reset_env=reset_env@entry=false, tty=tty@entry=0x0, avoid_loops=avoid_loops@entry=false, startup_id_str=startup_id_str@entry=0x40afb6 "0") at ../../kinit/kinit.cpp:738
#39 0x0000000000405a29 in main (argc=4, argv=<optimized out>, envp=0x7fff61eddb50) at ../../kinit/kinit.cpp:1853

Reported using DrKonqi
Comment 1 Lamarque V. Souza 2013-06-10 14:01:36 UTC
Git commit 3d5dac17525b71438bce2136ebdba34b87f228aa by Lamarque V. Souza.
Committed on 10/06/2013 at 16:00.
Pushed by lvsouza into branch 'nm09'.

Attempt to prevent crash when restarting NetworkManager.

M  +5    -0    backends/NetworkManager/nmdbussettingsconnectionprovider.cpp
M  +1    -1    plasma_nm_version.h

http://commits.kde.org/networkmanagement/3d5dac17525b71438bce2136ebdba34b87f228aa
Comment 2 Lamarque V. Souza 2013-06-10 15:24:54 UTC
Git commit 264ac8d33ad430e7d8725684d6476dabd1a193aa by Lamarque V. Souza.
Committed on 10/06/2013 at 17:22.
Pushed by lvsouza into branch 'master'.

Attempt to prevent crash when restarting NetworkManager.

M  +4    -0    backends/NetworkManager/nmdbussettingsconnectionprovider.cpp
M  +1    -1    plasma_nm_version.h

http://commits.kde.org/networkmanagement/264ac8d33ad430e7d8725684d6476dabd1a193aa
Comment 3 Lamarque V. Souza 2013-07-05 16:10:43 UTC
Can you test if the commit above fixes this problem? It is included in Plasma NM 0.9.0.9.